Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004510OCamlOCaml typingpublic2008-02-21 15:582012-02-07 15:50
Reporterecc 
Assigned To 
PrioritynormalSeverityfeatureReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.10.1 
Target VersionFixed in Version3.12.0 
Summary0004510: please report "module M not found" instead of "unbound value M.foo"
DescriptionWhen recompiling a program after a period of time, if I get the error message "unbound value SomeLibrary.foo", I can't tell whether SomeLibrary's API has changed (perhaps renaming foo), or simply that SomeLibrary is no longer on the include path. A (simple?) change to the error message would make this much more informative.

In the case where SomeLibrary is found, but there's no foo, I suggest reporting something like "no value foo was found in module SomeLibrary".
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0006897)
doligez (administrator)
2012-02-07 15:50

Starting with 3.12.0, the compiler reports "unbound value SomeLibrary.foo" in the first case, and "unbound module SomeLibrary" in the second case.

- Issue History
Date Modified Username Field Change
2008-02-21 15:58 ecc New Issue
2008-03-07 12:10 doligez Status new => acknowledged
2012-02-07 15:47 doligez Category OCaml general => OCaml typing
2012-02-07 15:50 doligez Note Added: 0006897
2012-02-07 15:50 doligez Status acknowledged => closed
2012-02-07 15:50 doligez Resolution open => fixed
2012-02-07 15:50 doligez Fixed in Version => 3.12.0


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker